{ pkgs, ... }:

{
  # Boot
  boot.plymouth.enable = true;

  # Filesystems
  boot.supportedFilesystems = [ "ntfs" ];

  # Firmware
  services.fwupd.enable = true;

  # Fingerprint
  services.fprintd.enable = true;

  # Touchpad
  services.libinput.enable = true;

  # Printing
  services.printing.enable = true;
  services.avahi.enable = true;
  services.avahi.nssmdns4 = true;
  services.avahi.openFirewall = true;

  # Graphics
  services.xserver.enable = true;
  programs.xwayland.enable = true;
  environment.sessionVariables.NIXOS_OZONE_WL = "1";

  # KDE
  # services.desktopManager.plasma6.enable = true;
  # programs.ssh.askPassword = lib.mkForce "${pkgs.gnome.seahorse}/libexec/seahorse/ssh-askpass";

  programs.dconf.enable = true;

  services.flatpak.enable = true;

  services.joycond.enable = true;
  programs.joycond-cemuhook.enable = true;

  # Firefox config
  programs.firefox = {
    enable = true;
    # package = pkgs.firefox-beta;
    # Doesn't work ?
    # languagePacks = [ "fr" "en-US" ];
  };

  xdg.portal.enable = true;

  # Virtualisation
  virtualisation.libvirtd.enable = true;
  # virtualisation.virtualbox.host.enable = true;
  # virtualisation.virtualbox.host.enableExtensionPack = true;
  # users.extraGroups.vboxusers.members = [ "lyes" ];
  # virtualisation.waydroid.enable = true;

  # Containers
  virtualisation.containers.enable = true;
  virtualisation.podman = {
    enable = true;
    dockerCompat = true;
    defaultNetwork.settings.dns_enabled = true;
    extraPackages = [ pkgs.zfs ];
  };
}
